org.apache.avro.file

## Interface Syncable

- All Known Implementing Classes:
    SyncableFileOutputStream

      public interface Syncable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sync()` Sync the file to disk.

- - ### Method Detail

    - #### sync

          void sync()
             throws IOException

      Sync the file to disk. On supported platforms, this method behaves like POSIX `fsync` and syncs all underlying OS buffers for this file descriptor to disk. On these platforms, if this method returns, the data written to this instance is guaranteed to be persisted on disk.
      Throws:
        `IOException` - - if an error occurred while attempting to sync the data to disk.

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.